Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15602

Description

Saw a past ticket on a similar item, but "Encoding" drop-down in Vector -> Geoprocessing Tools -> Buffer is way out of order.... very

difficult to find "System" if you fat-finger a mistake and change it to UTF-16, for example.

Using 1.8 Lisboa.

History

#1 - 2012-09-05 10:34 AM - Larry Shaffer

Hi Jeffrey,

As far as I can tell, the Encoding popup menu in the save dialog is alphabetically sorted (Mac 10.7.4, with 1.8.0 and master). However, it's sorted by case

as well, with upper coming before lower (ala Unix), not mixed. That menu would probably be more user-friendly with mixed case sorting.

Concerning alphabetizing ALL menu lists: lists should be sorted according to their content, not under a single policy. If alphabetization helps with efficient

selection (as is the case with the list in question), then it should be used; otherwise, the ordering of listed items may be better sorted by other weighting

means, like predetermined or dynamic priority.

#2 - 2012-09-05 11:24 AM - Jeffrey Meyer

Ugh! How embarrassing - misspelling in the bug title! ; )

Larry - thanks for the speedy reply - can't believe I missed the mixed case issue - QGIS'ing before coffee never pays.

Agreed ref: mixed-case - there should be mixed-case sorting, esp. when there are both ISO and iso items.

Not sure I agree with the latter point, about prioritization, for 3 reasons:

1) Newbies may not understand the differentiation, experts may kvetch, but they know what they're looking for. Noobs just get confused. Again, a personal

belief, but I believe usability for noobs should be a high priority for any semi-technical application.

2) UI consistency. (yeah, yeah... a foolish consistency, hobgoblin of little minds...) This might just be a silly personal belief, but I believe programs should

act the same way across all metaphors. Microsoft, for example, has done a complete butchery of figuring out which items are "commonly used" commands

for its toolbar customization. Not sure what UI gurus like Jakob Nielsen think about this; a quick Google search didn't yield any interesting tidbits one way

or the other.

3) Different people have different priorities & it's very difficult to pick a good set of winners for everyone.

In the case where there are clear priorities, perhaps a hybrid approach might work - something like country drop downs on English-speaking / focused sites

- e.g.

<blank entry>

United Kingdom
United States

-----------------

Afghanistan

Albania

Algeria

...

Thanks!

#3 - 2012-09-05 12:37 PM - Larry Shaffer

Jeffrey,

I have found most popup menus in QGIS are similar to your hybrid example, or are already alphabetized if selections are purely of like kind. Let me know if

you find one that needs alphabetized. I will look into sorting the Encoding list with mixed case, though it will not be backported to v. 1.8.

This is really a useability feature request, not necessarily a bug, and should be reclassified, if possible.

#4 - 2012-09-05 01:18 PM - Jeffrey Meyer

Hi Larry - no worries about a backport! I'll reclassify the ticket & make it specific to the encoding drop-down if you can point me to instructions / tell me how

to do that. I cannot seem to find the link for editing the original ticket info. Do I need additional permissions / rights?

#5 - 2012-09-06 12:23 AM - Paolo Cavallini

- Subject changed from Alphabetzie all drop down menu lists to Alphabetize all drop down menu lists

- Tracker changed from Bug report to Feature request

#6 - 2012-09-06 04:06 AM - Larry Shaffer

The case-insensitive sort fix for the encoding list is done with commit commit:652deba

The category for the issue should probably be set to GUI and left open, as there may be other lists that could use some better sorting since Qt's default

qSort() is case-sensitive, with the uppercase items grouped before lowercase.

#7 - 2012-10-06 02:21 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2014-11-20 07:27 PM - John Tull

This appears to have resurfaced for OS X in trunk. I'm using a Yosemite homebrew build of qgis-26 HEAD, and many of the drop-down lists are in chaotic

order. For example, opening an R processing function, "Summary Statistics" and selecting the 'layer' drop down produces a list that is in no apparent

order. I have seen this elsewhere in QGIS, but perhaps localized to plugins and processing tools. I have not been able to thoroughly determine how

pervasive the issue is.

#9 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2017-09-22 10:07 AM - Jürgen Fischer
- Category set to Unknown
